Subject: bug#36156: closed (Re: bug#36156: [PATCH] Make toolbar show keyboard equivalents in its tooltips)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 22 Jun 2019 09:14:02 +0000

Your bug report

#36156: [PATCH] Make toolbar show keyboard equivalents in its tooltips

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
36156: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=36156
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#36156: [PATCH] Make toolbar show keyboard equivalents in its tooltips
From: Eli Zaretskii <[email-masked]>
To: Stefan Kangas <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sat, 22 Jun 2019 12:13:29 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Stefan Kangas <[email-masked]>
> Date: Tue, 11 Jun 2019 23:28:50 +0200
> Cc: Noam Postavsky <[email-masked]>, [email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> > This is going to start a bikeshedding, but I'm not sure I like the
> > [FOO] format.  It's different from what we use in menus, for example.
> 
> FWIW, I tried both with brackets and parentheses and concluded
> that the former is more readable, especially in cases where we
> also use parentheses in the tooltip string.
> 
> Also, I'm not sure how important consistency with menus are here,
> since the parentheses are not shown on my GTK Emacs -- the key
> binding is displayed to the right.  On macOS, the key binding is
> indeed shown in parentheses (but it would be better, IMO, if it
> was also here displayed to the right with no parentheses).  Not
> sure what happens in other toolkits.
> 
> That said, I'm fine either way.  I have attached a patch which
> uses parentheses instead of brackets.  Please feel free too
> install whichever version you prefer more.
> 
> And do it quick before anyone has time to start bikeshedding... ;)

Thanks, pushed.

Subject: [PATCH] Make toolbar show keyboard equivalents in its tooltips
From: Stefan Kangas <[email-masked]>
To: [email-masked]
Date: Mon, 10 Jun 2019 03:14:12 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I have implemented the following item from etc/TODO:

** The toolbar should show keyboard equivalents in its tooltips.

I'm an absolute beginner to Emacs internals and had a lot of fun
solving this.  Please let me know what you think.

Thanks,
Stefan Kangas